=== debian/changelog ===
raysession (0.14.4-3) unstable; urgency=medium

  * Team upload
  * Drop unused cgitb import (Closes: #1109249)

 -- Bastian Germann <bage@debian.org>  Sun, 27 Jul 2025 19:02:32 +0200

raysession (0.14.4-2) unstable; urgency=medium

  * Team upload
  * Depend on fonts-roboto instead of fonts-robot-hinted
    which was a transitional package that was removed today

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Apr 2025 20:07:47 -0400

raysession (0.14.4-1) unstable; urgency=medium

  * New upstream version 0.14.4
  * Make raysession depend on python3-liblo >= 0.16.2~
  * Drop sh patch applied by upstream
  * Fix typo in Vcs-Git URL

 -- Dennis Braun <snd@debian.org>  Sat, 04 Jan 2025 21:27:00 +0100
