=== debian/watch ===
version=4
opts="dversionmangle=auto,searchmode=plain" \
 https://api.github.com/repos/Houston4444/RaySession/releases?per_page=100 \
 https://github.com/Houston4444/RaySession/releases/download/v?[\d.]+/RaySession-@ANY_VERSION@-source@ARCHIVE_EXT@
