## raysession 0.17.0

=== debian/changelog ===
raysession (0.17.0-0ubuntu1) resolute; urgency=medium

  * New upstream release 0.17.0
  * Refresh patches
  * d/rules: Disable parallel builds
  * d/control: update dependencies
  * d/copyright: update dates, remove superfluous patterns

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 05 Nov 2025 20:38:28 -0800
