=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: raysession
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Dennis Braun <snd@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ python3-dev,
  pkgconf,
- pyqt5-dev-tools,
- python3-pyqt5,
- qtchooser,
- qttools5-dev,
+ python3-qtpy,
+ pyqt6-dev-tools,
+ qt6-base-dev-tools,
+ qttools5-dev-tools,
+ qtchooser
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/multimedia-team/raysession
 Vcs-Git: https://salsa.debian.org/multimedia-team/raysession.git
@@ -23,9 +26,10 @@
  fonts-roboto,
  python3,
  python3-liblo (>= 0.16.2~),
- python3-pyqt5,
- python3-pyqt5.qtsvg,
+ python3-pyqt6,
+ python3-pyqt6.qtsvg,
  python3-xdg,
+ python3-jack-client,
  ${misc:Depends},
 Recommends:
  wmctrl,
