=== debian/changelog ===
raysession (0.17.1-1) unstable; urgency=medium

  * New upstream version 0.17.1
  * Build with Qt6
  * Fix locales installation
  * Fix installation of bash completion
  * Update fixperms override
  * Use dh_link to link system fonts
  * Refresh patchset with gbp pq
  * Bump Standards-Version to 4.7.2
  * Add python3-jack-client to Depends
  * Refresh d/raysession.lintian-overrides
  * d/copyright: Update files and years
  * Remove redudant rules-requires-root-no field
  * Use execute_before_dh_* instead of override_dh_*

 -- Dennis Braun <snd@debian.org>  Wed, 12 Nov 2025 23:07:12 +0100
