=== debian/control ===
--- 
+++ 
@@ -1,35 +1,32 @@
 Source: raysession
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Dennis Braun <snd@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- python3-dev,
  pkgconf,
- python3-qtpy,
  pyqt6-dev-tools,
+ python3-pyqt6,
  qt6-base-dev-tools,
+ qtchooser,
  qttools5-dev-tools,
- qtchooser
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/multimedia-team/raysession
 Vcs-Git: https://salsa.debian.org/multimedia-team/raysession.git
 Homepage: https://github.com/Houston4444/RaySession
-Rules-Requires-Root: no
 
 Package: raysession
 Architecture: all
 Depends:
  fonts-roboto,
  python3,
+ python3-jack-client,
  python3-liblo (>= 0.16.2~),
  python3-pyqt6,
  python3-pyqt6.qtsvg,
  python3-xdg,
- python3-jack-client,
  ${misc:Depends},
 Recommends:
  wmctrl,
@@ -54,4 +51,4 @@
   - Possibility to KILL client if clean exit is too long
   - Open Session Folder button (open default file manager)
  .
- Ray Session is being developed by houston4444, using Python3 and Qt5.
+ Ray Session is being developed by houston4444, using Python3 and Qt6.
