=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT=5
%:
	dh $@

execute_before_dh_fixperms:
	chmod 755 debian/raysession/usr/share/raysession/session_scripts/save_via_window/ray-scripts/save_via_windows.sh
	chmod 755 debian/raysession/usr/share/raysession/session_scripts/slow_open/ray-scripts/load.sh
	chmod 755 debian/raysession/usr/share/raysession/session_scripts/*/ray-scripts/*.sh
	chmod 755 debian/raysession/usr/share/raysession/src/bin/utility_script_starter.sh
	chmod 755 debian/raysession/usr/share/raysession/src/jack_config_script/*.sh

execute_before_dh_link:
	dh_link "usr/share/fonts/truetype/roboto/hinted/Roboto-Black.ttf" "usr/share/raysession/HoustonPatchbay/themes/Yellow Boards/fonts/Roboto-Black.ttf"
	dh_link "usr/share/fonts/truetype/roboto/hinted/Roboto-Regular.ttf" "usr/share/raysession/HoustonPatchbay/themes/Yellow Boards/fonts/Roboto-Regular.ttf"
	dh_link "usr/share/fonts/truetype/roboto/hinted/RobotoCondensed-Medium.ttf" "usr/share/raysession/HoustonPatchbay/themes/Yellow Boards/fonts/RobotoCondensed-Medium.ttf"

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
