## raysession 0.17.2

=== debian/changelog ===
raysession (0.17.2-1) unstable; urgency=medium

  [ Olivier Humbert ]
  * update houston4444 copyright

  [ Dennis Braun ]
  * New upstream version 0.17.2
  * Bump Standards-Version to 4.7.3

 -- Dennis Braun <snd@debian.org>  Sun, 04 Jan 2026 15:39:52 +0100
