=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  qt6-base-dev-tools,
  qtchooser,
  qttools5-dev-tools,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/multimedia-team/raysession
 Vcs-Git: https://salsa.debian.org/multimedia-team/raysession.git
 Homepage: https://github.com/Houston4444/RaySession
