=== debian/changelog ===
raysession (0.17.3-0ubuntu1) resolute; urgency=medium

  * New upstream bugfix release 0.17.3

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 22 Feb 2026 19:47:52 -0800

raysession (0.17.1-0ubuntu1) resolute; urgency=medium

  * New upstream bugfix release 0.17.1

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 11 Nov 2025 09:37:10 -0800
